## InfTextDefaultBuffer InfTextDefaultBuffer |

## Synopsis

                        InfTextDefaultBuffer;
    InfTextDefaultBuffer * inf_text_default_buffer_new      (const gchar *encoding);

## Object Hierarchy

      GObject
       +----InfTextDefaultBuffer

## Implemented Interfaces

InfTextDefaultBuffer implements InfBuffer and InfTextBuffer.

## Properties

      "encoding"                 gchar*                : Read / Write / Construct Only

## Description

## Details

### InfTextDefaultBuffer

    typedef struct _InfTextDefaultBuffer InfTextDefaultBuffer;

### inf_text_default_buffer_new ()

    InfTextDefaultBuffer * inf_text_default_buffer_new      (const gchar *encoding);

Creates a new, empty InfTextDefaultBuffer.

`encoding` : | The character encoding to use for the buffer.
Returns : | A InfTextDefaultBuffer.

## Property Details

### The `"encoding"` property

      "encoding"                 gchar*                : Read / Write / Construct Only

The character encoding of the text buffer.

Default value: NULL